import os

import aiohttp
from aiodynamo.client import Client
from aiodynamo.credentials import Credentials
from aiodynamo.http.aiohttp import AIOHTTP


class Database:
    def __init__(self, session: aiohttp.ClientSession):
        self.client = Client(
            AIOHTTP(session), Credentials.auto(), os.getenv("AWS_REGION")
        )
